% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/main.R
\name{ldaModel}
\alias{ldaModel}
\title{The function to create and train and lda Model}
\usage{
ldaModel(
  dtm,
  num_topics = 20,
  num_top_words = 10,
  num_iterations = 1000,
  seed = 42L,
  save_dir = "./results",
  load_dir = NULL
)
}
\arguments{
\item{dtm}{(R_obj) The document term matrix}

\item{num_topics}{(integer) The number of topics to be created}

\item{num_top_words}{(integer) The number of top words to be displayed}

\item{num_iterations}{(integer) The number of iterations to run the model}

\item{seed}{(integer) The seed to set for reproducibility}

\item{save_dir}{(string) The directory to save the model, if NULL, the model will not be saved}

\item{load_dir}{(string) The directory to load the model from, if NULL, the model will not be loaded}
}
\value{
A list of the model, the top terms, the labels, the coherence, and the prevalence
}
\description{
The function to create and train and lda Model
}
